# class PG::TextDecoder::JSON

This is a decoder class for conversion of PostgreSQL JSON/JSONB type to Ruby Hash, `Array`, `String`, `Numeric`, nil values.

As soon as this class is used, it requires the ruby standard library ‘json’.

### Public Instance Methods

decode(string, tuple=nil, field=nil) click to toggle source

    # File lib/pg/text_decoder/json.rb, line 11
    def decode(string, tuple=nil, field=nil)
            ::JSON.parse(string, quirks_mode: true)
    end